# cairde

[![Build Status](https://build.coopcloud.tech/api/badges/decentral1se/cairde/status.svg?ref=refs/heads/main)](https://build.coopcloud.tech/decentral1se/cairde)

> Cairde /ˈkɑːɾˠdʲə/, an Irish word which translates as "friends"

A terminal client for metadata resistant messaging built on the [Cwtch
protocol](https://docs.openprivacy.ca/cwtch-security-handbook/overview.html#what-is-cwtch).

<p align="center"> <img src="./docs/pre-alpha-ui.png"> </p>

This is a **pre-alpha prototype** and an *unofficial* community implementation
which is currently only ready for experimentation and testing. Please *do not*
use existing [`cwtch-ui`](https://cwtch.im/download/) profiles with `cairde`!
We cannot guarantee that things will not break at this early stage.

If you're new to Cwtch, this
[video](https://docs.openprivacy.ca/cwtch-security-handbook/overview.html#a-video-explainer)
or [the docs](https://docs.cwtch.im/) are a great place to start.

## Bikemap

> See [`#2`](https://git.coopcloud.tech/decentral1se/cairde/issues/2)

## Hack

```
go build -v .
./cairde
```

## Acknowledgements

* [`charmbracelet/bubbletea`](https://github.com/charmbracelet/bubbletea)
* [`cwtch.im/cwtch`](https://git.openprivacy.ca/cwtch.im/cwtch)
* [`sarah/cwtchbot`](https://git.openprivacy.ca/sarah/cwtchbot)

## License

<img src="https://www.gnu.org/graphics/gplv3-or-later.png" />
