package ui

import "github.com/charmbracelet/lipgloss"

var (
	viewportStyle = lipgloss.NewStyle()

	inputStyle = lipgloss.NewStyle()

	cmdBarStyle = lipgloss.NewStyle().
			Background(lipgloss.Color("#853094"))

	cmdKeyStyle = lipgloss.NewStyle().
			Background(lipgloss.Color("#853094")).
			Foreground(lipgloss.Color("#ffffff")).
			PaddingLeft(1).
			PaddingRight(1).
			Bold(true)

	cmdDescriptionStyle = lipgloss.NewStyle().
				Background(lipgloss.Color("#a644b7")).
				Foreground(lipgloss.Color("#ffffff")).
				AlignHorizontal(lipgloss.Center).
				PaddingLeft(1).
				PaddingRight(1)

	menuBarStyle = lipgloss.NewStyle().
			Background(lipgloss.Color("#1e489b"))

	menuItemStyle = lipgloss.NewStyle().
			Background(lipgloss.Color("#2d6bc8")).
			Foreground(lipgloss.Color("#ffffff")).
			AlignHorizontal(lipgloss.Center).
			PaddingLeft(1).
			PaddingRight(1)

	chosenMenuItemStyle = lipgloss.NewStyle().
				Background(lipgloss.Color("#1e489b")).
				Foreground(lipgloss.Color("#ffffff")).
				AlignHorizontal(lipgloss.Center).
				PaddingLeft(1).
				PaddingRight(1).
				Bold(true)

	inputTextStyle = lipgloss.NewStyle().
			Foreground(lipgloss.Color("#ffffff"))

	inputPromptStyle = lipgloss.NewStyle().
				Foreground(lipgloss.Color("#707070"))

	timeStyle = lipgloss.NewStyle().
			Foreground(lipgloss.Color("#97989a"))

	lineSeparatorStyle = lipgloss.NewStyle().
				Foreground(lipgloss.Color("#707070"))

	lineStyle = lipgloss.NewStyle().
			Foreground(lipgloss.Color("#ffffff"))
)
